Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-6073

LaunchDaemons/LaunchAgents with line continuations break puppet

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: PUP 3.8.6
    • Fix Version/s: PUP 3.8.7
    • Component/s: None
    • Labels:
      None
    • Environment:

      OS X 10.11, puppet 3.8.6, PE 4.3.2

    • Template:
    • Story Points:
      0
    • Sprint:
      Client 2016-04-06
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      launchd plists with line continuations will no longer cause the launchd service provider to blow up with {{Error: Could not prefetch service provider 'launchd': undefined method `to_ruby' for nil:NilClass}}.

      Description

      When puppet encounters a valid (if rare) plist with a backslash line continuation, it will fail:
      Error: Could not prefetch service provider 'launchd': undefined method `to_ruby' for nil:NilClass

      I expect this is due to the plist-handling code in 3.8; if you catch NoMethodError and have the provider fall through to plutil -convert, it works.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            ccaviness Clay Caviness
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support